x-servers

Compatibility warning

This specification extension is supported only in OpenAPI 2.0.

Usage

Use x-servers in your OpenAPI 2.0 documents to define one or more target hosts for the API. Add it to the root OpenAPI object.

This specification extension provides compatibility via backporting from the OpenAPI 3.0 servers object. It doesn't support templates.

Examples

swagger: '2.0'
info:
  ...
tags: [...]
x-servers:
- url: https://development.gigantic-server.com/v1
  description: Development server
- url: https://staging.gigantic-server.com/v1
  description: Staging server